MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022955Community[OCCT] OCCT:Visualizationpublic2012-01-31 14:142012-04-16 12:33
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022955: Memory leak in OpenGL_text.cxx
DescriptionIn line 155, if allocation of 'wstr' fails the method returns without deleting the 'data' variable

Solution:

if( !wstr )
  {
    delete data;
    return TFailure;
  }
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0022819closedbugmaster Open CASCADE Redesign of OpenGl driver 

-  Notes
(0019397)
abv (manager)
2012-02-06 08:15

To be checked after integration of 0022819
(0019695)
kgv (developer)
2012-02-21 11:33

By default 'new wchar_t[i]' will raise an exception on allocation error. So NULL-check is useless here and never happens. NULL-check is removed in 0022819.
(0020362)
Pawel (developer)
2012-04-12 16:20

Verified. Please close.

- Issue History
Date Modified Username Field Change
2012-01-31 14:14 Pawel New Issue
2012-01-31 14:14 Pawel Assigned To => san
2012-02-06 08:15 abv Relationship added related to 0022819
2012-02-06 08:15 abv Note Added: 0019397
2012-02-21 11:33 kgv Note Added: 0019695
2012-02-21 11:33 kgv Assigned To san => bugmaster
2012-02-21 11:33 kgv Status new => resolved
2012-03-23 20:22 abv Target Version => 6.5.3
2012-04-02 18:07 bugmaster Status resolved => reviewed
2012-04-02 18:07 bugmaster Status reviewed => verified
2012-04-02 18:07 bugmaster Resolution open => fixed
2012-04-02 18:07 bugmaster Assigned To bugmaster => Pawel
2012-04-12 16:20 Pawel Note Added: 0020362
2012-04-16 12:33 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker